ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014281ClearCenterapp-active-directory - Active Directory Connectorpublic2017-04-10 07:492017-08-12 18:45
Reporterdloper 
Assigned Topbaldwin 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version7.3.0 Updates 
Target Version7.4.0 UpdatesFixed in Version7.4.0 Updates 
Summary0014281: Test time on target server before domain join and abort with warning if the time drift exceeds 1 minute.
DescriptionTime synchronicity is crucial to keeping AD connected as is DNS a test mechanism should be made to test both DNS and time before a domain join and a troubleshooting button to validate DNS and time should be included in the app to limit support tickets that arise when the customer's equipment drifts in DNS resolution or time.

The following test can be performed against the time server of the AD machine using CIFS:

net time -S server_name_or_IP

The result is automatically translated to the local time zone so it should match the 'date' command except for the timezone in the date command. For example, side by side results can be produced by the following:

net time -S 192.168.1.10 && date | cut -f 1,2,3,4,6 -d ' '

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005341)
dloper (administrator)
2017-04-11 12:21

abs () { [ $1 -lt 0 ] && echo $((-$1)) || echo $1; } && abs $(expr $(date -d "$(net time -S $(egrep "^password server" /etc/samba/smb.conf | awk -F" = " '{ print$2 }'))" "+%s") - $(date "+%s"))

if the result is greater then 60 then there is a problem.
(0005551)
pbaldwin (administrator)
2017-05-03 14:20

There's no timezone information returned. That makes time comparisons dodgy at best. The check will still be done, but it will be non-fatal.

- Issue History
Date Modified Username Field Change
2017-04-10 07:49 dloper New Issue
2017-04-11 12:21 dloper Note Added: 0005341
2017-04-25 20:13 pbaldwin Status new => confirmed
2017-04-25 20:37 pbaldwin Status confirmed => resolved
2017-04-25 20:37 pbaldwin Fixed in Version => 7.3.0 Updates
2017-04-25 20:37 pbaldwin Resolution open => fixed
2017-04-25 20:37 pbaldwin Assigned To => pbaldwin
2017-05-03 14:20 pbaldwin Note Added: 0005551
2017-08-12 18:45 pbaldwin Target Version 7.3.0 Updates => 7.4.0 Updates
2017-08-12 18:45 pbaldwin Fixed in Version 7.3.0 Updates => 7.4.0 Updates